Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1462 - wu-ftpd-2.4.2b18-2.1 uses incorrect timezone
Summary: wu-ftpd-2.4.2b18-2.1 uses incorrect timezone
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd
Version: 5.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-09 22:57 UTC by Brian Feeny
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-26 15:44:51 UTC


Attachments (Terms of Use)

Description Brian Feeny 1999-03-09 22:57:08 UTC
The package wu-ftpd-2.4.2b18-2.1 references the time zone
with:

/var/lib/zoneinfo/localtime

Redhat, stores the timezone in /etc/localtime.  So if you
ftp into a machine, and do an "ls", it will show time as
referenced by GMT, rather than showing the appropriate
system time.  A link needs to be made or the package needs
to be changed, so that the correct timestamp is displayed by
wu-ftpd.  The timestamps of course are correct from within
the operating system, by doing an "ls".

Comment 1 Preston Brown 1999-03-26 15:44:59 UTC
This has been corrected in the wu-ftpd and/or glibc combination
shipped with Red Hat Linux 5.2. I have verified that the time reported
by "ls" and the time reported by "dir" after ncftping into a host are
identical.

This is wu-ftpd-2.4.2b18-2, glibc-2.0.7-29.


Note You need to log in before you can comment on or make changes to this bug.